Skip to main content
POST
/
v1
/
calls
Create Call
curl --request POST \
  --url https://api.bey.dev/v1/calls \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "agent_id": "<string>",
  "user_name": "<string>",
  "user_email": "<string>",
  "tags": {}
}
'
import requests

url = "https://api.bey.dev/v1/calls"

payload = {
"agent_id": "<string>",
"user_name": "<string>",
"user_email": "<string>",
"tags": {}
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({agent_id: '<string>', user_name: '<string>', user_email: '<string>', tags: {}})
};

fetch('https://api.bey.dev/v1/calls', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
  "id": "<string>",
  "agent_id": "<string>",
  "status": {
    "type": "to_start"
  },
  "livekit_url": "<string>",
  "livekit_token": "<string>",
  "user_name": "<string>",
  "user_email": "<string>",
  "tags": {}
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

x-api-key
string
header
required

Your Beyond Presence API Key.

Body

application/json

Request body to create a call.

agent_id
string
required

ID of agent managing the call.

user_name
string | null

Name of the user.

user_email
string | null

Email of the user.

tags
Tags · object

Tags for the call

Response

Created Call with ID and LiveKit connection details.

Response model for a call including LiveKit connection details.

id
string
required

Unique identifier of the object in the database.

Example:

"01234567-89ab-cdef-0123-456789abcdef"

agent_id
string
required

ID of agent managing the call.

status
ToStartCallStatus · object
required

Status for call that has not yet started.

livekit_url
string
required

LiveKit server URL to connect to.

livekit_token
string
required

JWT for joining the LiveKit room.

user_name
string | null

Name of the user.

user_email
string | null

Email of the user.

tags
Tags · object

Tags for the call